org.apache.sling.hapi.impl

## Class HApiTypesCollectionImpl

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<HApiType>
      - - org.apache.sling.hapi.impl.HApiTypesCollectionImpl

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<HApiType>, Collection<HApiType>, List<HApiType>, RandomAccess, HApiTypesCollection

    public class HApiTypesCollectionImpl
    extends ArrayList<HApiType>
    implements HApiTypesCollection

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`HApiTypesCollectionImpl(String name, String description, String serverUrl, String path, String fqdn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()` The description of this type collection
`String` `getFqdn()` The fully qualified domain name of this type collection
`String` `getName()` The name of this type collection
`String` `getPath()` The Resource path of this type collection
`String` `getUrl()` The external URL of the type collection

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Constructor Detail

#### HApiTypesCollectionImpl

    public HApiTypesCollectionImpl(String name,
                                   String description,
                                   String serverUrl,
                                   String path,
                                   String fqdn)

Parameters:
  `name` - The name of the collection.
  `description` - The description of the collection
  `path` - The path of the resource describing the collection

### Method Detail

#### getName

    public String getName()

The name of this type collection

Specified by:
  `getName` in interface `HApiTypesCollection`
Returns:

#### getDescription

    public String getDescription()

The description of this type collection

Specified by:
  `getDescription` in interface `HApiTypesCollection`
Returns:

#### getPath

    public String getPath()

The Resource path of this type collection

Specified by:
  `getPath` in interface `HApiTypesCollection`
Returns:

#### getUrl

    public String getUrl()

The external URL of the type collection

Specified by:
  `getUrl` in interface `HApiTypesCollection`
Returns:

#### getFqdn

    public String getFqdn()

The fully qualified domain name of this type collection

Specified by:
  `getFqdn` in interface `HApiTypesCollection`
Returns: